{% extends "dashboard/base.html" %}

{% load i18n %}
{% load bootstrap %}
{% load static %}


{% block stylesheet %}
<link href="{% static 'css/plugins/footable/footable.core.css' %}" rel="stylesheet">
<link href="{% static 'css/plugins/morris/morris-0.4.3.min.css' %}" rel="stylesheet">


{% endblock stylesheet %}

{% block breadcrumb %}

<div class="row wrapper border-bottom white-bg page-heading">
    <div class="col-lg-10">
        <h2>{% trans "Designaciones Pendientes" %}</h2>
        <ol class="breadcrumb">
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Dashboard" %}</a>
            </li>
            <li>
                <a href="{% url 'dashboard' %}">{% trans "Proyectos" %}</a>
            </li>
            <li class="active">
                <strong>{% trans "Ver Designaciones" %}</strong>
            </li>
        </ol>
    </div>
    <div class="col-lg-2">

    </div>
</div>

{% endblock breadcrumb %}

{% block content %}
<div class="wrapper wrapper-content animated fadeInRight" >
    <div class="row">
        <div class="col-lg-3">
            <div class="ibox float-e-margins">
                <div class="ibox-title navy-bg">
                    <h5>Total de Proyectos en Curso</h5>
                </div>
                <div class="ibox-content">
                    <div class="row">
                        <div class="col-md-9">
                            <h1 class="no-margins">400</h1>
                            <small>Proyectos Propuestos</small>                        
                        </div>
                        <div class="col-md-3">
                            <i class="fa fa-globe fa-4x" aria-hidden="true"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox float-e-margins">
                <div class="ibox-title blue-bg">
                    <h5>Total de Propuestas</h5>
                </div>
                <div class="ibox-content">
                    <div class="row">
                        <div class="col-md-9">
                            <h1 class="no-margins">400</h1>
                            <small>Proyectos Propuestos</small>                        
                        </div>
                        <div class="col-md-3">
                            <i class="fa fa-globe fa-4x" aria-hidden="true"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox float-e-margins">
                <div class="ibox-title blue-bg">
                    <h5>Total de Propuestas</h5>
                </div>
                <div class="ibox-content">
                    <div class="row">
                        <div class="col-md-9">
                            <h1 class="no-margins">400</h1>
                            <small>Proyectos Propuestos</small>                        
                        </div>
                        <div class="col-md-3">
                            <i class="fa fa-globe fa-4x" aria-hidden="true"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-3">
            <div class="ibox float-e-margins">
                <div class="ibox-title blue-bg">
                    <h5>Total de Propuestas</h5>
                </div>
                <div class="ibox-content">
                    <div class="row">
                        <div class="col-md-9">
                            <h1 class="no-margins">400</h1>
                            <small>Proyectos Propuestos</small>                        
                        </div>
                        <div class="col-md-3">
                            <i class="fa fa-globe fa-4x" aria-hidden="true"></i>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <div class="ibox float-e-margins">
            <div class="ibox-title blue-bg">
                <h5>Lista de Proyectos Asignados</h5>

                <div class="ibox-tools">
                    <a class="collapse-link">
                        <i class="fa fa-chevron-up" style="color:white"></i>
                    </a>
                </div>
            </div>
            <div class="ibox-content">
                <input type="text" class="form-control input-sm m-b-xs" id="filter"
                       placeholder="Buscar Proyecto">

                <table class="footable table table-stripped" data-page-size="8" data-filter=#filter>
                    <thead>
                    <tr>
                        <th>Imagen</th>
                        <th>Titulo del Proyeto</th>
                        <th>Fechas</th>
                        <th>Detalles</th>
                        <th>Acciones</th>
                    </tr>
                    </thead>
                    <tbody>
                    {% for designation in designations %}
                    {% if designation.target_teacher.user == user and designation.status == 'WR' %}
                     <tr>
                        <td class="col-md-1" style="">
                            <img alt="image" class="img-circle" style="width:50%" src="{% static 'img/FaviconUNAB.png' %}">
                        </td>
                        <td class="col-md-3 project-title" style="vertical-align:middle;">
                            <a>{{designation.project.name}}</a>
                            <br/>
                            <small>Autor: {{designation.project.author.first_name}} {{designation.project.author.last_name}}</small>
                            <br>
                        </td>
                        <td class="col-md-2" style="vertical-align:middle;"><small>Fecha creación: {{designation.project.date|date:"d-m-Y"}}</small></td>
                        <td class="col-md-3 project-completion">
                                <small>Facultad: {{designation.project.faculty}} </small>
                                <br>
                                <small>Carrera: {{designation.project.carreer}}</small>
                                <br>
                                <small>Profesor guía: </small>
                        </td>
                        <td class="col-md-2 project-actions" style="text-align:left;vertical-align:middle" >
                            <a href="#" class="btn btn-success btn-sm" data-project_id="{{designation.project.pk}}" data-toggle="modal" data-target="#exampleModal"><i class="fa fa-eye"></i></a>
                            <a href="{% url 'project_designation_accept' designation.pk %}" class="btn btn-primary btn-sm"><i class="fa fa-check"></i> Aceptar </a>
                            <a href="{% url 'project_designation_reject' designation.pk %}" class="btn btn-danger btn-sm"><i class="fa fa-times"></i> Rechazar </a>
                        </td>
                    </tr>
                    {% endif %}
                    {% endfor %}
                    </tbody>
                    <tfoot>
                    <tr>
                        <td colspan="5">
                            <ul class="pagination pull-right"></ul>
                        </td>
                    </tr>
                    </tfoot>
                </table>
            </div>
        </div>
    </div>
</div>



<!-- modal block -->

        <div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel">
          <div class="modal-dialog" role="document">
            <div class="modal-content">
              <div class="modal-header">
                  <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                  <img alt="image" class="img-circle img-responsive center-block " src="{% static 'img/FaviconUNAB.png' %}">
                  <h1 class="text-center" id="titulo-proyecto"></h1>
              </div>
              <div class="modal-body">
                  <strong>Descripción</strong>
                  <div class="well">
                      <text id="description_project"></text>
                  </div>
                  <div class="row">
                    <div class="col-md-7">
                        <h5 id="cupos">
                            <strong>Cupos: </strong>
                            1/1
                        </h5>
                        <div class="progress progress-striped active" id="progress_cupo">
                            <div style="width: 100%" aria-valuemax="100" aria-valuemin="0" aria-valuenow="100" role="progressbar" class="progress-bar progress-bar-navy">
                                <span class="sr-only">40% Complete (success)</span>
                            </div>
                        </div>
                    </div>
                    <div class="col-md-5" style="text-align:center;margin-top:22px;">
                        <a class="btn btn-warning btn-sm">Descargar Detalle
                            <i class="fa fa-download"></i>
                        </a>
                    </div>
                  </div>
                  <div class="row">                                     
                      <div class="col-md-8">
                          <h5 id=autor>
                              <strong>Autor: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="facultad">
                              <strong>Facultad: </strong>
                          </h5>
                      </div>
                  </div>
                  <div class="row">                                     
                      <div class="col-md-8">
                          <h5 id="carrera">
                              <strong>Carrera: </strong>
                          </h5>
                      </div>
                      <div class="col-md-4">
                          <h5 id="profesor-guia">
                              <strong>Profesor Guía: </strong>
                          </h5>
                      </div>
                  </div>
              </div>
              <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
              </div>
            </div>
          </div>
        </div>

<!-- end modal block -->
{% endblock content %} 


{% block javascript %}

<script src="{% static 'js/plugins/footable/footable.all.min.js' %}"></script>
<script>
    $(document).ready(function() {
       
        $('.footable').footable();
        $('#exampleModal').on('show.bs.modal', function (event) {

            var button = $(event.relatedTarget) // Button that triggered the modal

            var project_id = button.data('project_id') // Extract info from data-* attributes
            var modal = $(this);
            // moredata: 'moredata',
            data = {
                project_id : project_id,
                csrfmiddlewaretoken: '{{ csrf_token }}'
            }
            $.post("{% url 'project_detail' %}",data,function(response){
                modal.find('.modal-title').text('Detalle de proyecto ' + project_id);
                $('#autor').html("<strong>Autor: </strong>" + response.autor);
                $('#description_project').html(response.descripcion);
                $('#titulo-proyecto').html(response.titulo)
                $('#carrera').html("<strong>Carrera: </strong>" + response.carrera)
                $('#facultad').html("<strong>Facultad: </strong>" + response.facultad)
                $('#profesor-guia').html("<strong>Profesor: </strong>" + response.profesor)
                $('#cupos').html("<strong>Cupos: </strong>" + response.cupos_disponible + "/" + response.cupos_total)
                $('#pogress_cupo').html('<div style="width: 100%" aria-valuemax="' + response.cupos_totales + '" aria-valuemin="0" aria-valuenow="' + response.cupos_disponible + '" role="progressbar" class="progress-bar progress-bar-navy"><span class="sr-only">40% Complete (success)</span></div>');
        //                modal.find('.modal-body').html(html);
            });
            
        })

    });

</script>

{% endblock javascript %}